package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.compensation.app.*;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class ComplaintCountSync extends CoreBillBase implements IComplaintCountSync
{
    public ComplaintCountSync()
    {
        super();
        registerInterface(IComplaintCountSync.class, this);
    }
    public ComplaintCountSync(Context ctx)
    {
        super(ctx);
        registerInterface(IComplaintCountSync.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("29C8BE08");
    }
    private ComplaintCountSyncController getController() throws BOSException
    {
        return (ComplaintCountSyncController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public ComplaintCountSyncCollection getComplaintCountSyncCollection() throws BOSException
    {
        try {
            return getController().getComplaintCountSyncCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public ComplaintCountSyncCollection getComplaintCountSyncCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getComplaintCountSyncCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public ComplaintCountSyncCollection getComplaintCountSyncCollection(String oql) throws BOSException
    {
        try {
            return getController().getComplaintCountSyncCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public ComplaintCountSyncInfo getComplaintCountSyncInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getComplaintCountSyncInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public ComplaintCountSyncInfo getComplaintCountSyncInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getComplaintCountSyncInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public ComplaintCountSyncInfo getComplaintCountSyncInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getComplaintCountSyncInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}